Subject: bug#34763: 27.0.50; url-retrieve-synchronously misbehaves inside eldoc-documentation-function

From: Eli Zaretskii <[email-masked]>
Date: Fri, 15 Mar 2019 17:49:51 +0200

> Cc: [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Fri, 15 Mar 2019 16:29:10 +0200
> 
> And regardless of whether the slowdown is caused by external factors in 
> my examples, here are two aspects that worry me either way:
> 
> 1. When I get to "Transfer interrupted", I need to press 'C-g' a second 
> time to actually abort right away.
> 
> 2. When that happens, 'M-x list-processes' shows an extra new line with 
> status 'open'. Interrupt enough requests this way - and there are many 
> such lines there. That doesn't look good.

The code in the functions that react to quit-flag being non-nil should
be audited.  They don't look clean to me, FWIW, and we don't generally
do such things from Lisp, we normally quit on the C level.  Maybe this
whole sub-feature, whereby we show a message for interrupted
transfers, should be rethought.